it-swarm-pt.tech

Como instalar simuladores iOS mais antigos no XCode 4.2.1 (SDK5.0)

Acabei de comprar um novo iMac. Em seguida, baixei o SDK 5.0 mais recente e instalei o XCode 4.2.1. Tudo está funcionando bem. Embora eu tenha percebido que existem apenas o iPhone e o iPad Simulators 5.0 disponíveis para depuração. Então, cliquei em Mais Simuladores ... Clico em Instalar para todos os itens e um tempo passou e, quando voltei, indicava como "Instalado". Mas quando eu volto ao meu XCode, ainda existem apenas o Simulators 5.0 na lista.

Então, como faço para instalar os simuladores mais antigos no XCode 4.2.1? Perdi alguns passos? Ou preciso instalar SDKs mais antigos? Por favor ajude. Obrigado.

36
GeneCode

O X-Code 4.2 terá apenas o simulador e a biblioteca do iOS 5. Se você deseja um simulador e uma biblioteca de versão inferior com o X-Code, basta ir para (X-Code-> Prefrences-> Downloads Aba. Na guia downloads, você terá duas guias:

1) Componentes - Aqui você terá a opção de baixar o simulador iOS 4.3 (~ 600 Mb), iOS 4.0-4.1 (~ 670 MB) Suporte para depuração de dispositivo, iOS 3.0-3.2.2 (686.3 MB) Suporte para depuração de dispositivo.

2) Documentação - Yoy terá a opção de baixar o iOS 5.0, biblioteca de desenvolvedor do XCode 4.2, biblioteca principal do Mac OSX 10.7.

enter image description here

Instale os componentes que você precisar e pronto. Você instalou os componentes dessa maneira?

64
rohan-patel

Se o Xcode não mostrar os simuladores desejados, você poderá baixar xcodes mais antigos a partir daqui: https://developer.Apple.com/downloads/index.action?name=Xcode

Por exemplo:

  • simulador para iOS 5 -> Xcode 4.3
  • simulador iOS 5.1 -> Xcode 4.3.3
  • simulador para iOS 6 -> Xcode 4.6
  • simulador para iOS 6.1 -> Xcode 4.6.3
  • simulador para iOS 7 -> Xcode 5
  • simulador para iOS 7.1 -> Xcode 5.1

Você pode encontrar o aplicativo Xcode dentro do arquivo .dmg baixado

  1. Abra este DMG
  2. Clique com o botão direito do mouse no aplicativo Xcode e clique em 'Mostrar conteúdo do pacote'
  3. Navegue para: Conteúdo/Desenvolvedor/Plataformas/iPhoneSimulator.platform/Desenvolvedor
  4. Copie a pasta do simulador encontrada (por exemplo: pasta iPhoneSimulator7.1.sdk)
  5. Repita as etapas 2 e 3 para seu aplicativo Xcode atual
  6. Cole a pasta do simulador

Reiniciar o Xcode mostrará os novos simuladores adicionados

Construção e teste felizes!

Atualização:
Testado no xCode 6, trabalhando lá também

14
Antoine